ranges::views::tokenize_base_fn Struct Reference
Inheritance diagram for ranges::views::tokenize_base_fn:

## Public Member Functions

CPP_TEMPLATE_AUX_0 int | operator() (Rng &&rng, Regex &&rex, int sub=0, std::regex_constants::match_flag_type flags=std::regex_constants::match_default) const
CPP_TEMPLATE_AUX_0 std::initializer_list< int > | operator() (Rng &&rng, Regex &&rex, std::initializer_list< int > subs, std::regex_constants::match_flag_type flags=std::regex_constants::match_default) const
CPP_TEMPLATE_AUX_0 std::vector< int > | operator() (Rng &&rng, Regex &&rex, std::vector< int > subs, std::regex_constants::match_flag_type flags=std::regex_constants::match_default) const
template<typename Rng , typename Regex >
CPP_TEMPLATE_AUX_0 | t (requires bidirectional_range< Rng > &&common_range< Rng > &&same_as< range_value_t< Rng >, typename detail::decay_t< Regex >::value_type >) tttokenize_view< all_t< Rng >
template<typename Rng , typename Regex >
CPP_TEMPLATE_AUX_0 | t (requires bidirectional_range< Rng > &&common_range< Rng > &&same_as< range_value_t< Rng >, typename detail::decay_t< Regex >::value_type >) tttokenize_view< all_t< Rng >
template<typename Rng , typename Regex >
CPP_TEMPLATE_AUX_0 | t (requires bidirectional_range< Rng > &&common_range< Rng > &&same_as< range_value_t< Rng >, typename detail::decay_t< Regex >::value_type >) tttokenize_view< all_t< Rng >